Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Class BaseInfGraph.InfFindSafeCapabilities

    java.lang.Object
      com.hp.hpl.jena.graph.impl.AllCapabilities
          com.hp.hpl.jena.reasoner.BaseInfGraph.InfCapabilities
              com.hp.hpl.jena.reasoner.BaseInfGraph.InfFindSafeCapabilities

All Implemented Interfaces:
  Capabilities

Enclosing class:
  BaseInfGraph

    public static class BaseInfGraph.InfFindSafeCapabilities

extends BaseInfGraph.InfCapabilities

An InfCapabilities notes that size may not be accurate, and some triples may be irremovable. TODO accomodate the properties of the base graph, too.

Author:
  hedgehog

Constructor Summary
`BaseInfGraph.InfFindSafeCapabilities()`

Method Summary
`boolean` | `findContractSafe()` Answer true if the find() contract on the associated graph is "safe", ie, can be used safely by the pretty-printer (we'll tighten up that definition).

Methods inherited from class com.hp.hpl.jena.reasoner.BaseInfGraph.InfCapabilities
`deleteAllowed, iteratorRemoveAllowed, sizeAccurate`

Methods inherited from class com.hp.hpl.jena.graph.impl.AllCapabilities
`addAllowed, addAllowed, canBeEmpty, deleteAllowed, handlesLiteralTyping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseInfGraph.InfFindSafeCapabilities

    public BaseInfGraph.InfFindSafeCapabilities()

Method Detail

### findContractSafe

    public boolean findContractSafe()

  Description copied from interface: `Capabilities`
  Answer true if the find() contract on the associated graph is "safe", ie, can be used safely by the pretty-printer (we'll tighten up that definition).

  Specified by:
    `findContractSafe` in interface `Capabilities`
  Overrides:
    `findContractSafe` in class `BaseInfGraph.InfCapabilities`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP